Rated 4 out of 5 stars

Please make it compatible with the new firefox 3.5.

This review is for a previous version of the add-on (1.0b1).